Bug 228975 - databases/grass7: update port and (another try to) remove BROKEN
Summary: databases/grass7: update port and (another try to) remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://trac.osgeo.org/grass/wiki/Rel...
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2018-06-13 08:53 UTC by Loïc Bartoletti
Modified: 2018-11-29 09:01 UTC (History)
5 users (show)

See Also:
lbartoletti: maintainer-feedback+
pi: exp-run-


Attachments
grass 7.4.0_3 (5.14 KB, patch)
2018-06-13 08:53 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
patch-v2 (4.40 KB, patch)
2018-06-14 07:54 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-7.4.1 (21.17 KB, patch)
2018-09-01 19:45 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2018-06-13 08:53:04 UTC
Created attachment 194217 [details]
grass 7.4.0_3

Hi,

Some users and I noticed errors with the package: poudriere testport seemed OK, but bulk or install return pkg-static errors. It seems there are pkg-plist errors.

So I updated the port to include some minor changes and remove lines in pkg-plist that are "incorrect".

BLAS are also a difficulty, since GOTO and OPEN BLAS have not the same pkg-plist with NETLIB (default) and ATLAS conflicts with numpy (use NETLIB as default). I need to deepen the subject, in the meantime I propose to use only NETLIB.

I also noticed some difficulties during the run, I added a pkg message.

I would like an exp-run before merging this patch to be sure that now, is not broken.

Thank you.
Comment 1 Mathieu Arnold freebsd_committer 2018-06-13 13:20:05 UTC
I do not understand, there is exactly one port that depend on this one, graphics/qgis, so, what would you expect requesting an exp-run to achieve exactly? Build 32k packages for nothing and then build the 2 affected?

As you state that you already ran poudriere testport, an exp-run will give you even less informations, as it will not run in testing mode.
Comment 2 Kirill Ponomarev freebsd_committer 2018-06-13 13:31:10 UTC
(In reply to Mathieu Arnold from comment #1)
No, there's no exp-build required, I think it can be ignored
Comment 3 Antoine Brodin freebsd_committer 2018-06-13 17:42:17 UTC
I can sneak the patch in another exp-run
Comment 4 Loïc Bartoletti 2018-06-13 18:16:53 UTC
You're right, I forgot that an exp-run had to recompile everything, sorry.

My request was mainly linked to the fact that there are differences between a "poudriere testport" and a "poudriere bulk" or "make install".
Comment 5 Antoine Brodin freebsd_committer 2018-06-13 20:44:39 UTC
It fails during patch phase:

=======================<phase: patch          >============================
===>  Patching for grass7-7.4.0_3
===>  Applying FreeBSD patches for grass7-7.4.0_3
sed: -I or -i may not be used with stdin
Comment 6 Kurt Jaeger freebsd_committer 2018-06-14 07:54:16 UTC
Created attachment 194243 [details]
patch-v2

This version builds in poudriere. Can someone run-test it ?

It has small changes to fix the sed-issue and some pkg-plist fixes.
Comment 7 Loïc Bartoletti 2018-08-15 12:48:23 UTC
Sorry for the delay,

Seems ok for me.
What did you think about adding a pkg-message for this comment: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228605#c4 ?

Thanks
Comment 8 Kurt Jaeger freebsd_committer 2018-09-01 19:45:19 UTC
Created attachment 196775 [details]
patch-to-7.4.1

Update to 7.4.1 with pkg-message
Comment 9 Kurt Jaeger freebsd_committer 2018-09-02 08:58:50 UTC
testbuilds are fine, but please note the build problem if build via qgis, see PR#228605
Comment 10 commit-hook freebsd_committer 2018-11-29 08:39:26 UTC
A commit references this bug:

Author: pi
Date: Thu Nov 29 08:39:01 UTC 2018
New revision: 486155
URL: https://svnweb.freebsd.org/changeset/ports/486155

Log:
  databases/grass7: update 7.4.0 -> 7.4.1

  PR:		228975
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)
  Relnotes:	https://trac.osgeo.org/grass/wiki/Release/7.4.1-News

Changes:
  head/databases/grass7/Makefile
  head/databases/grass7/distinfo
  head/databases/grass7/pkg-message
  head/databases/grass7/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2018-11-29 08:41:11 UTC
Committed, thanks.
Comment 12 Rainer Hurling 2018-11-29 08:50:01 UTC
(In reply to Kurt Jaeger from comment #11)

Hi Kurt,

Thanks for the commit. Two issues should be mentioned:

- It seems you forgot to remove the following two lines in databases/grass7/Makefile of version 7.4.1

  DEPRECATED=     Broken for more than 6 months
  EXPIRATION_DATE=        2018-12-19


- GRASS versions have to be hardcoded in some dependend ports, e.g. graphics/qgis. It would be nice if you could also change the following line in graphics/qgis/Makefile

  GRASS_CMAKE_ON=         -DWITH_GRASS7:BOOL=TRUE -DGRASS_PREFIX7=${LOCALBASE}/grass-7.4.0


Many thanks again,
Rainer
Comment 13 Kurt Jaeger freebsd_committer 2018-11-29 08:51:52 UTC
thanks for the pointer. I'm not sure 7.4.1 as is works (the previous
was broken as well, so...).

I'll testbuild with 7.4.3, then test for qgis as well. If those all work,
the DEPRECATE can be removed.
Comment 14 Loïc Bartoletti 2018-11-29 09:01:04 UTC
(In reply to Rainer Hurling from comment #12)


 > GRASS_CMAKE_ON=         -DWITH_GRASS7:BOOL=TRUE -DGRASS_PREFIX7=${LOCALBASE}/grass-7.4.0

This can be done differently (especially in version 3 of QGIS), I'll prepare a patch for you in the week